# Class ResampledAlignment

java.lang.Object
jebl.evolution.alignments.ResampledAlignment

All Implemented Interfaces:
  `Alignment, Patterns, Sequences`

Direct Known Subclasses:
  `BootstrappedAlignment, JackknifedAlignment`

public class ResampledAlignment extends Object implements Alignment
Date: 17/01/2006 Time: 08:08:44

Version:
  $Id: ResampledAlignment.java 482 2006-10-25 06:30:57Z twobeers $ Provide a re-sampled alignment. This means an alignment constructed by choosing a set of sites from the source alignment and concataneting them. The set may be of any length and may contain duplications (sampling with replacment). Due to Java restrictions on constructors, class is implemented using delegation.
Author:
  Joseph Heled

## Constructor Summary

Constructors
Constructor
Description
`ResampledAlignment()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPatternCount()`
`int`
`getPatternLength()`
`List<Pattern>`
`getPatterns()`
Get a list of all the patterns
`Sequence`
`getSequence(Taxon taxon)`
`List<Sequence>`
`getSequenceList()`
`Set<Sequence>`
`getSequences()`
`SequenceType`
`getSequenceType()`
`int`
`getSiteCount()`
`List<Taxon>`
`getTaxa()`
`void`
`init(Alignment srcAlignment, int[] siteIndices)`
Setup resampled alignment.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResampledAlignment

public ResampledAlignment()

## Method Details

### init

public void init(Alignment srcAlignment, int[] siteIndices)
Setup resampled alignment.

Parameters:
  `srcAlignment` - sample sites from this alignment
  `siteIndices` - Use this set to construct the resampled alignment

### getSequenceList

public List<Sequence> getSequenceList()

Specified by:
  `getSequenceList` in interface `Alignment`

### getPatternCount

public int getPatternCount()

Specified by:
  `getPatternCount` in interface `Patterns`

### getPatternLength

public int getPatternLength()

Specified by:
  `getPatternLength` in interface `Patterns`

### getPatterns

public List<Pattern> getPatterns()
Description copied from interface: `Patterns`
Get a list of all the patterns

Specified by:
  `getPatterns` in interface `Patterns`
Returns:
  the list

### getTaxa

public List<Taxon> getTaxa()

Specified by:
  `getTaxa` in interface `Patterns`
Returns:
  the list of taxa that the state values correspond to.

### getSequenceType

public SequenceType getSequenceType()

Specified by:
  `getSequenceType` in interface `Patterns`
Returns:
  the data type of the states in these site patterns.

### getSiteCount

public int getSiteCount()

Specified by:
  `getSiteCount` in interface `Alignment`

### getSequences

public Set<Sequence> getSequences()

Specified by:
  `getSequences` in interface `Sequences`

### getSequence

public Sequence getSequence(Taxon taxon)

Specified by:
  `getSequence` in interface `Sequences`